.code-switcher {
    top: 0;
    left: 0;
    bottom: 0;
    z-index: 20;
    width: rem(68);
    display: block;
    position: absolute;

    &__button {
        font-size: 0;
        line-height: 0;
        height: rem(32);
        cursor: pointer;
        fill: var(--gray-40);
        border-radius: rem(4);
        background: var(--gray-10);
        border: rem(1) solid var(--gray-20);
        border-right: none;
        display: flex;
        align-items: center;
        justify-content: center;
        column-gap: rem(10);

    }

    &__arrow {
        width: rem(20);
        height: rem(20);
        display: block;
        flex-shrink: 0;
    }

    &__flag {
        height: rem(20);
        width: rem(20);
        display: block;
        overflow: hidden;
        border-radius: 50%;
        border: 1px solid var(--gray-20);
    }

    &__dropdown {
        left: 0;
        top: 100%;
        min-width: rem(290);
        position: absolute;
        background: white;
        font-size: rem(15);
        line-height: rem(20);
        box-shadow: var(--shadow);
        opacity: 0;
        visibility: hidden;
    }

    &__item {
        height: rem(28);
        cursor: pointer;
        display: flex;
        align-items: center;
        position: relative;
        padding-left: rem(28);
        padding-right: rem(16);

        i {
            display: none;
        }

        &.active {
            background-color: #F0F0F0;

            &:before {
                top: calc(50% - 5px);
                left: rem(12);
                content: '';
                width: 10px;
                height: 10px;
                position: absolute;
                background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTAnIGhlaWdodD0nMTAnIHZpZXdCb3g9JzAgMCAxMCAxMCcgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNMy4xODE4MiA3LjMyODM2TDAuNzk1NDU1IDQuODIwOUwwIDUuNjU2NzJMMy4xODE4MiA5TDEwIDEuODM1ODJMOS4yMDQ1NSAxTDMuMTgxODIgNy4zMjgzNlonIGZpbGw9JyMwMEE1RkYnLz48L3N2Zz4K");
                background-position: 50% 50%;
                background-repeat: no-repeat;
                background-size: contain;
            }
        }
    }

    &.open {
        z-index: 200;

        .code-switcher {

            &__button {
                fill: var(--blue);
            }

            &__dropdown  {
                opacity: 1;
                visibility: visible;
            }
        }
    }
}
